Stores
GET https://cityqr.de/api/stores/
curl --request GET \
--url 'https://cityqr.de/api/stores/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://cityqr.de/api/stores/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name, url. |
| is_enabled | Optional Boolean | |
| domain_id | Optional Integer | |
| order_by | Optional String | What field to order the results by. Allowed values are: store_id, last_datetime, datetime, pageviews, name, url, orders. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"store_id": 1,
"domain_id": null,
"user_id": 1,
"url": "example",
"full_url": "https://cityqr.de/example",
"name": "Vintage Machine",
"description": "great coffee, food & relaxing spot.",
"settings": {
"title": "Example title",
"meta_description": "Example description",
"meta_keywords": "keyword1,keyword2",
"language_code": "en",
"font_family": "default",
"font_size": 16,
"display_share_buttons": 1,
"auto_refresh": 10,
},
"details": {
"address": "Lorem ipsum dolor sit amet, number 200, street consectetur adipiscing.",
"phone": "+100100100",
"website": "https://example.com",
"email": "example@example.com",
"hours": {
"1": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"2": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"3": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"4": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"5": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"6": {
"is_enabled": true,
"hours": "24/7"
},
"7": {
"is_enabled": true,
"hours": "24/7"
}
}
},
"socials": {
"facebook": "example",
"instagram": "example",
"x": "example"
},
"currency": "USD",
"password": null,
"image": "example.jpg",
"logo": "example.png",
"favicon": "example.png",
"opengraph": "",
"theme": "new-york",
"timezone": "UTC",
"custom_css": "",
"custom_js": "",
"pageviews": 50,
"orders": 100,
"is_se_visible": true,
"is_removed_branding": true,
"email_reports_is_enabled": true,
"email_reports_last_datetime": null,
"email_orders_is_enabled": false,
"ordering": {
"on_premise_is_enabled": 1,
"delivery_is_enabled": 1,
"takeaway_is_enabled": 1,
"on_premise_minimum_value": 0,
"delivery_minimum_value": 5,
"delivery_cost": 5,
"delivery_free_minimum_value": 10,
"takeaway_minimum_value": 0
},
"payment_processors": {
"paypal_is_enabled": false,
"paypal_mode": "live",
"paypal_client_id": "",
"paypal_secret": "",
"stripe_is_enabled": true,
"stripe_publishable_key": "",
"stripe_secret_key": "",
"stripe_webhook_secret": "",
"mollie_is_enabled": true,
"mollie_api_key": "",
"paystack_is_enabled": true,
"paystack_api_key": "",
"paystack_secret_key": "",
"offline_payment_is_enabled": true
},
"business": {
"invoice_is_enabled": true,
"invoice_nr_prefix": "VINTAGE-",
"name": "Vintage Machine",
"address": "Vintage Machine Street One",
"city": "Vintage City",
"county": "",
"zip": "123123",
"country": "US",
"email": "",
"phone": "+101010101010",
"tax_type": "",
"tax_id": "",
"custom_key_one": "",
"custom_value_one": "",
"custom_key_two": "",
"custom_value_two": ""
},
"is_enabled": true,
"datetime": "2026-03-04 08:28:59",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://cityqr.de/api/stores?page=1",
"last": "https://cityqr.de/api/stores?page=1",
"next": null,
"prev": null,
"self": "https://cityqr.de/api/stores?page=1"
}
}
GET https://cityqr.de/api/stores/{store_id}
curl --request GET \
--url 'https://cityqr.de/api/stores/{store_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://cityqr.de/api/stores/{store_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"store_id": 1,
"domain_id": null,
"user_id": 1,
"url": "example",
"full_url": "https://cityqr.de/example",
"name": "Vintage Machine",
"description": "great coffee, food & relaxing spot.",
"settings": {
"title": "Example title",
"meta_description": "Example description",
"meta_keywords": "keyword1,keyword2",
"language_code": "en",
"font_family": "default",
"font_size": 16,
"display_share_buttons": 1,
"auto_refresh": 10,
},
"details": {
"address": "Lorem ipsum dolor sit amet, number 200, street consectetur adipiscing.",
"phone": "+100100100",
"website": "https://example.com",
"email": "example@example.com",
"hours": {
"1": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"2": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"3": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"4": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"5": {
"is_enabled": true,
"hours": "10AM - 9PM"
},
"6": {
"is_enabled": true,
"hours": "24/7"
},
"7": {
"is_enabled": true,
"hours": "24/7"
}
}
},
"socials": {
"facebook": "example",
"instagram": "example",
"x": "example"
},
"currency": "USD",
"password": null,
"image": "example.jpg",
"logo": "example.png",
"favicon": "example.png",
"opengraph": "",
"theme": "new-york",
"timezone": "UTC",
"custom_css": "",
"custom_js": "",
"pageviews": 50,
"orders": 100,
"is_se_visible": true,
"is_removed_branding": true,
"email_reports_is_enabled": true,
"email_reports_last_datetime": null,
"email_orders_is_enabled": false,
"ordering": {
"on_premise_is_enabled": 1,
"delivery_is_enabled": 1,
"takeaway_is_enabled": 1,
"on_premise_minimum_value": 0,
"delivery_minimum_value": 5,
"delivery_cost": 5,
"delivery_free_minimum_value": 10,
"takeaway_minimum_value": 0
},
"payment_processors": {
"paypal_is_enabled": false,
"paypal_mode": "live",
"paypal_client_id": "",
"paypal_secret": "",
"stripe_is_enabled": true,
"stripe_publishable_key": "",
"stripe_secret_key": "",
"stripe_webhook_secret": "",
"mollie_is_enabled": true,
"mollie_api_key": "",
"paystack_is_enabled": true,
"paystack_api_key": "",
"paystack_secret_key": "",
"offline_payment_is_enabled": true
},
"business": {
"invoice_is_enabled": true,
"invoice_nr_prefix": "VINTAGE-",
"name": "Vintage Machine",
"address": "Vintage Machine Street One",
"city": "Vintage City",
"county": "",
"zip": "123123",
"country": "US",
"email": "",
"phone": "+101010101010",
"tax_type": "",
"tax_id": "",
"custom_key_one": "",
"custom_value_one": "",
"custom_key_two": "",
"custom_value_two": ""
},
"is_enabled": true,
"datetime": "2026-03-04 08:28:59",
"last_datetime": null
}
}